Bug 729513 - [abrt] gnome-packagekit-3.1.3-2.fc16: pango_tab_array_free: Process /usr/bin/gpk-update-viewer was killed by signal 11 (SIGSEGV)
Summary: [abrt] gnome-packagekit-3.1.3-2.fc16: pango_tab_array_free: Process /usr/bin/...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-packagekit
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2bd0db41451c925b84d6e2829e0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 02:05 UTC by Adam Williamson
Modified: 2013-02-13 21:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 21:37:32 UTC


Attachments (Terms of Use)
File: maps (34.70 KB, text/plain)
2011-08-10 02:05 UTC, Adam Williamson
no flags Details
File: backtrace (32.10 KB, text/plain)
2011-08-10 02:05 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2011-08-10 02:05:14 UTC
abrt version: 2.0.5
backtrace_rating: 4
cmdline:        gpk-update-viewer
comment:        After hitting bug #729500, I left gnome-packagekit sitting in the background for a while, whereupon it seemed to crash with no interaction.
crash_function: pango_tab_array_free
executable:     /usr/bin/gpk-update-viewer
kernel:         3.0.0-1.fc16.x86_64
reason:         Process /usr/bin/gpk-update-viewer was killed by signal 11 (SIGSEGV)
time:           Tue Aug  9 16:12:35 2011
uid:            1000
username:       test
var_log_messages: Aug  9 16:12:35 localhost abrt[2200]: saved core dump of pid 1714 (/usr/bin/gpk-update-viewer) to /var/spool/abrt/ccpp-2011-08-09-16:12:35-1714.new/coredump (25968640 bytes)

backtrace:      Text file, 32866 bytes
maps:           Text file, 35531 bytes

build_ids:
:aff71a7d5a072fbfb7d3a87961ff183682c05290
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:1c6a95451ee19617be5abea3d121f0226d21ddda
:1af345ce2728c299b4d1575fe549d476578a78c7
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:05a46c85741feee10eec4525cbc3adc43659d9b7
:22fcd30239c84ed7b18f5b9a34c2629f7a8fc4aa
:535b36166e926cc8c230cffc7deb5d46d103e6ac
:49a5c6d4e4db5066266ee3c801a61846352da742
:1c9ea813c175e7c9fdbbc71b7e4c435c1bbd7952
:ce24eceb8fbe2a246615b30ebcffffe321b546d3
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:91cbfb5d1e390de70c4ce752917cb158edfdf44a
:71a6e8a0b941d284363a552719ad89f6e13c416f
:74f33f0816ddf99b50d1a84d85a198fafd8dbdd5
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:2133c1093619ab13b41f62cd8476433700a3e80b
:4ea09f2cc6fa21696beac3f95cdd4160cfddd35f
:477fa95b2fab67f7b0ec05cfa5068ce475c7a460
:edebfad67bdac472272d049dc7ec302f47b02f32
:b85fc655e6bd4674f9bb34a50d588dd4564aa7a7
:44ece411beb2ef1acdb5eb2161666de41cc2f31d
:7736285a9d7606379bd0145646e9974d1221616b
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:3c55e68121d3657c207a070a8c150b3055d45623
:47947a5dac7d1e49b71d12c3be0e227a300eddc7
:77fb426ed1422ab8031aaa89787a83910efdcbe5
:aaf62304b0fc10611d35b4f56005479d4c58868d
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:8acc43df965b3c0a70dcfad11c0ade056bdb055b
:f5f7190aad6f1bd3e605f056f133e73f2f1776de
:39a9d7e5a7c16008e1a436b07c3b4572a8ad8864
:475928f8a90f26acb6ecb00fedbe0291ab7a89a7
:4953d1f613914126bccceb3cb96386647ffba9df
:9fd35565043bc57e1d8bf70810b7c6b402a9be93
:63836926ac1e2ef5ad69b01ebb7566509807a5c7
:400444fb368f79b54959b083f449a1497bf71c13
:16cd4f049ae10dc8c27c8d9a1c933189f74cc837
:84c10b99d5e313e2da4f265437eb20d9d15f0470
:48aea888319e1848137073c9cbde54a4c2a731c9
:bc6ef19aa95f1c2e2af71fb12cb60e9315b2e0c4
:f4a8746bdce81a5832071025756151f69ae8e122
:6502dd4813f98137c70e6e05cc43828f5c2263c1
:163b323da65b708418226eb5fa8b057c731d1475
:9c23cc77b5763600b189289e892983ebb6c172c8
:3dd00a31cf09e7d59a58bbcf0750e12401a23e53
:a846184299890c97d37cecedf02d0950a7fc3f15
:2bfc84b715cc5d83bd57e06c5ba53908eaa76ee8
:4c842320387ff7f6f91b7842b223c16518be909f
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:b967cd759e60040c1e0c6457e5a388ed4bbf769f
:4ff72914d1077d6b625acffaf02741e1775a35b8
:0911ea7c180d733724f89037b8e8a34e64024aec
:31020adf777597b112a3f3545a30ed149a0d6cb1
:b864e94cf7e23d207e5474bbb7beaee3633ed694
:66b8a549e5dfccb29eee911c9a1f987d05f12613
:90d054ca7d1579bcc68ba290effe49e6f2188847
:53251731f074fe9b352dc83082ce5bd21a8b97d9
:a12e6b090d274b8311b78a5029b13ec9dd614084
:91689252818532ec13597b6528d38be93b2706c4
:ffd449b28c1410cd692f371d5f11f00db623219d
:e3baf3b147d94cc6e1ca81584a718912de2bd0d9
:24e3cf54d28921ae8b5a74137527e6cbdb9591d4
:dd64c6b3988aa5eb1d27a37c2efbd54c52f8d953
:0e51189dc37a921075929cf1ab68f038f462955d
:962189885ca747a3939151e9cb307559f1bf6e4e
:9ea81971c14b711655ced0a734db062ab7c4eec7
:73406c405d81cc8ebddb7d267a8c8035eeabef49
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:1406558950ff100eb0320a325b3ea7961ba1a775
:aabfae52f2f9cd3da2a88327b8021a05bc700500
:d440afe7396b3365dcb935f9bf7f2fb28f3839de
:d210ac3e31d441164b11c558c7c641799394e1d7
:5cb5f8da286abd58aeab3bd6676e661d52ec2b5d
:2b7dd2945c33cb04d8e7e20e658978f18fd8b491
:a518a8b1b5c3e80dee813df05e951d205d6ac48c
:33935386030c21d59febcf757cbdf7622edd56d1
:d5bcb1226f7f2cfd0dcf9d287a408925e8ae1376
:ab349e8108446cbdf78be5596678c93a6a31ff13

dso_list:
:/lib64/libm-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1312907643
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-4.fc16.x86_64 (Fedora Project) 1312907639
:/lib64/libglib-2.0.so.0.2914.0 glib2-2.29.14-1.fc16.x86_64 (Fedora Project) 1312907647
:/lib64/libacl.so.1.1.0 libacl-2.2.51-2.fc16.x86_64 (Fedora Project) 1312907648
:/usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so librsvg2-2.34.0-1.fc16.x86_64 (Fedora Project) 1312907685
:/usr/lib64/libarchive.so.2.8.4 libarchive-2.8.4-3.fc15.x86_64 (Fedora Project) 1312907666
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1312907683
:/usr/lib64/libpangocairo-1.0.so.0.2903.0 pango-1.29.3-1.fc16.x86_64 (Fedora Project) 1312907684
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc16.x86_64 (Fedora Project) 1312907646
:/usr/lib64/libpackagekit-glib2.so.14.0.8 PackageKit-glib-0.6.16-1.fc16.x86_64 (Fedora Project) 1312907708
:/lib64/libz.so.1.2.5 zlib-1.2.5-4.fc16.x86_64 (Fedora Project) 1312907646
:/lib64/ld-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1312907643
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1312907683
:/usr/lib/locale/locale-archive glibc-common-2.14.90-4.x86_64 (Fedora Project) 1312907642
:/usr/lib64/libcroco-0.6.so.3.0.1 libcroco-0.6.2-6.fc15.x86_64 (Fedora Project) 1312907653
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1312907683
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-3.fc16.x86_64 (Fedora Project) 1312907648
:/lib64/libresolv-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1312907643
:/usr/lib64/libcanberra.so.0.2.5 libcanberra-0.28-3.fc16.x86_64 (Fedora Project) 1312907703
:/usr/lib64/libpango-1.0.so.0.2903.0 pango-1.29.3-1.fc16.x86_64 (Fedora Project) 1312907684
:/usr/lib64/libupower-glib.so.1.0.1 upower-0.9.12-1.fc16.x86_64 (Fedora Project) 1312907734
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-4.fc16.x86_64 (Fedora Project) 1312907662
:/usr/lib64/gtk-3.0/modules/libcanberra-gtk3-module.so libcanberra-gtk3-0.28-3.fc16.x86_64 (Fedora Project) 1312907703
:/usr/lib64/libnotify.so.4.0.0 libnotify-0.7.3-1.fc16.x86_64 (Fedora Project) 1312907703
:/usr/lib64/libpangoft2-1.0.so.0.2903.0 pango-1.29.3-1.fc16.x86_64 (Fedora Project) 1312907684
:/lib64/librt-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1312907643
:/usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf abattis-cantarell-fonts-0.0.6-1.fc16.noarch (Fedora Project) 1312907660
:/usr/lib64/libcanberra-gtk3.so.0.1.8 libcanberra-gtk3-0.28-3.fc16.x86_64 (Fedora Project) 1312907703
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1312907683
:/usr/share/fonts/abattis-cantarell/Cantarell-Bold.otf abattis-cantarell-fonts-0.0.6-1.fc16.noarch (Fedora Project) 1312907660
:/lib64/libgobject-2.0.so.0.2914.0 glib2-2.29.14-1.fc16.x86_64 (Fedora Project) 1312907647
:/lib64/libgcc_s-4.6.1-20110715.so.1 libgcc-4.6.1-3.fc16.x86_64 (Fedora Project) 1312907636
:/usr/bin/gpk-update-viewer gnome-packagekit-3.1.3-2.fc16.x86_64 (Fedora Project) 1312907746
:/usr/lib64/libfreetype.so.6.7.0 freetype-2.4.5-2.fc16.x86_64 (Fedora Project) 1312907646
:/lib64/libbz2.so.1.0.6 bzip2-libs-1.0.6-3.fc15.x86_64 (Fedora Project) 1312907646
:/usr/lib64/libpixman-1.so.0.22.2 pixman-0.22.2-1.fc16.x86_64 (Fedora Project) 1312907647
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1312907648
:/usr/lib64/libsqlite3.so.0.8.6 sqlite-3.7.7.1-1.fc16.x86_64 (Fedora Project) 1312907646
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1312907647
:/usr/lib64/libatk-1.0.so.0.20109.1 atk-2.1.0-1.fc16.x86_64 (Fedora Project) 1312907647
:/lib64/libpthread-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1312907643
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc16.x86_64 (Fedora Project) 1312907683
:/lib64/libgudev-1.0.so.0.1.0 libgudev1-173-1.fc16.x86_64 (Fedora Project) 1312907647
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1312907683
:/lib64/libcrypt-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1312907643
:/usr/lib64/libtdb.so.1.2.9 libtdb-1.2.9-10.fc16.x86_64 (Fedora Project) 1312907647
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc16.x86_64 (Fedora Project) 1312907646
:/usr/lib64/gio/modules/libdconfsettings.so dconf-0.9.0-1.fc16.x86_64 (Fedora Project) 1312907705
:/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-1.fc16.x86_64 (Fedora Project) 1312907646
:/lib64/libgio-2.0.so.0.2914.0 glib2-2.29.14-1.fc16.x86_64 (Fedora Project) 1312907647
:/lib64/libdl-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1312907643
:/lib64/libgthread-2.0.so.0.2914.0 glib2-2.29.14-1.fc16.x86_64 (Fedora Project) 1312907647
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1312907648
:/usr/lib64/gtk-3.0/3.0.0/theming-engines/libadwaita.so adwaita-gtk3-theme-3.1.4-1.fc16.x86_64 (Fedora Project) 1312907690
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1312907683
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4-6.fc16.x86_64 (Fedora Project) 1312907648
:/lib64/libutil-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1312907643
:/lib64/libattr.so.1.1.0 libattr-2.4.46-2.fc16.x86_64 (Fedora Project) 1312907648
:/usr/lib64/libgdk-3.so.0.110.0 gtk3-3.1.10-1.fc16.x86_64 (Fedora Project) 1312907685
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-1.fc16.x86_64 (Fedora Project) 1312907683
:/usr/lib64/liblzma.so.5.0.3 xz-libs-5.0.3-2.fc16.x86_64 (Fedora Project) 1312907647
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.9-3.fc16.x86_64 (Fedora Project) 1312907646
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1312907646
:/lib64/libudev.so.0.12.0 libudev-173-1.fc16.x86_64 (Fedora Project) 1312907646
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1312907683
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1312907647
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1312907643
:/lib64/libcrypto.so.1.0.0d openssl-1.0.0d-7.fc16.x86_64 (Fedora Project) 1312907663
:/usr/lib64/libgtk-3.so.0.110.0 gtk3-3.1.10-1.fc16.x86_64 (Fedora Project) 1312907685
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1312907683
:/usr/lib64/librsvg-2.so.2.34.0 librsvg2-2.34.0-1.fc16.x86_64 (Fedora Project) 1312907685
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2300.5 gdk-pixbuf2-2.23.5-1.fc16.x86_64 (Fedora Project) 1312907683
:/usr/share/locale/en/LC_MESSAGES/gtk30.mo gtk3-3.1.10-1.fc16.x86_64 (Fedora Project) 1312907685
:/lib64/libc-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1312907643
:/usr/lib64/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1312907648
:/lib64/libselinux.so.1 libselinux-2.0.102-6.fc16.x86_64 (Fedora Project) 1312907645
:/usr/lib64/libcairo-gobject.so.2.11000.2 cairo-gobject-1.10.2-4.fc16.x86_64 (Fedora Project) 1312907683
:/lib64/libgmodule-2.0.so.0.2914.0 glib2-2.29.14-1.fc16.x86_64 (Fedora Project) 1312907647
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-4.fc16.x86_64 (Fedora Project) 1312907683

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=2
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=83824964a52aa7567ac6c52e0000000d-1312929748.735939-179106115
:GNOME_KEYRING_CONTROL=/tmp/keyring-65UsFM
:IMSETTINGS_MODULE=none
:USER=test
:USERNAME=test
:MAIL=/var/spool/mail/test
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/test/.local/bin:/home/test/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/test
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1206
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/test
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=test
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-4NY86oWytA,guid=5fbf13a38cf7c2d9eb9a2b720000003b
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/test
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-test-muh4Me/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1211,unix/unix:/tmp/.ICE-unix/1211
:GPG_AGENT_INFO=/tmp/keyring-65UsFM/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-65UsFM/ssh
:DESKTOP_STARTUP_ID=gnome-panel-1409-localhost.localdomain-gpk-update-viewer-4_TIME617602
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gpk-update-viewer.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1714

Comment 1 Adam Williamson 2011-08-10 02:05:17 UTC
Created attachment 517507 [details]
File: maps

Comment 2 Adam Williamson 2011-08-10 02:05:19 UTC
Created attachment 517508 [details]
File: backtrace

Comment 3 Fedora End Of Life 2013-01-16 17:12:05 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora End Of Life 2013-02-13 21:37:35 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.